--===========================================================database_3.0.13_to_3.0.14.sql==================================================================================================
-- Noeud Virtuel
INSERT INTO esia_device_type (type_id,type_name,type_web_id) VALUES (DEFAULT,'application',NULL);

-- REPORT (Pour le partage de canevas)

ALTER TABLE report_send_users add column "canevas_user_share" BOOLEAN default FALSE;
ALTER TABLE report_send_users add column "canevas_user_writing" BOOLEAN default FALSE;

-- REPORT (MAJ parameter graphique)

UPDATE report_block
   SET block_default_parameter='{"title":{"text":"Graphique","style":{"text-align":"left","font-size":"15px","color":"#575759"}},"description":{"text":"Voici la description Graphique","style":{"text-align":"left","margin":"auto","font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"service","nodeid":[],"serviceid":[]}'
  WHERE block_name='REPORT_SERVICE_GRAPH';

-- REPORT (new block pour R² et à inclure dans le standard)

INSERT INTO report_block(
            block_name, block_controller, block_default_parameter)
    VALUES ('REPORT_USERESOURCE_GROUP_NODE', 'useResources.php', '{"title":{"text":"Utilisation des ressources","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la description de l''utilsation des ressources","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"SeuilWarningCpu":"70","SeuilCriticalCpu":"80","SeuilWarningRam":"70","SeuilCriticalRam":"80","SeuilWarningStorage":"70","SeuilCriticalStorage":"80","type":"groupenoeud","affiche_ram":true,"affiche_stockage":true,"affiche_description":true,"affiche_ip":true,"affiche_cpu":true,"groupnodeid":[]}');

INSERT INTO report_block(
            block_name, block_controller, block_default_parameter)
    VALUES ('REPORT_USERESOURCE_NODE', 'useResources.php', '{"title":{"text":"Utilisation des ressources","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la description dl''utilsation des ressources","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"SeuilWarningCpu":"70","SeuilCriticalCpu":"80","SeuilWarningRam":"70","SeuilCriticalRam":"80","SeuilWarningStorage":"70","SeuilCriticalStorage":"80","type":"noeud","affiche_ram":true,"affiche_stockage":true,"affiche_description":true,"affiche_ip":true,"affiche_groupNoeud":true,"affiche_cpu":true,"nodeid":[]}');


-- REPORT (Maj BD pour choisir le niveau d'alerte dans incident)

UPDATE report_block
   SET block_default_parameter='{"title":{"text":"Incident","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la description incident","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"noeud","affiche_duree":true,"affiche_ip":true,"affiche_groupNoeud":true,"affiche_message":true,"nodeid":[]}'
 WHERE block_name='REPORT_NODE_INCIDENT';

UPDATE report_block
   SET block_default_parameter='{"title":{"text":"Incident","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la description incident","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"groupenoeud","affiche_duree":true,"affiche_ip":true,"affiche_groupNoeud":true,"affiche_message":true,"affiche_unknown":true,"affiche_warning":true,"affiche_critical":true,"groupnodeid":[]}'
 WHERE block_name='REPORT_INCIDENT_GROUP_NODE';

UPDATE report_block
   SET block_default_parameter='{"title":{"text":"Incident","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la description incident","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"service","affiche_duree":true,"affiche_ip":true,"affiche_groupNoeud":true,"affiche_message":true,"affiche_unknown":true,"affiche_warning":true,"affiche_critical":true,"serviceid":[]}'
 WHERE block_name='REPORT_SERVICE_INCIDENT';

-- REPORT (Maj BD pour nom du block)

UPDATE report_block
SET block_name='REPORT_SERVICE_AVAILABILITY'
WHERE block_name='Disponibilite de service';

UPDATE report_block
SET block_name='REPORT_SERVICE_AVAILABILITY'
WHERE block_name='Disponibilité de service';

UPDATE report_block
SET block_name='REPORT_NODE_AVAILABILITY'
WHERE block_name='Disponibilite de noeud';

UPDATE report_block
SET block_name='REPORT_NODE_AVAILABILITY'
WHERE block_name='Disponibilité de noeud';

-- ESIA_CONFIGURATION pour bien faire correspondre les graph avec le schema proposé par Esia

UPDATE esia_configuration
SET config_value='SNMP\S*(MEM|RAM)'
WHERE config_key='SRV_RAM_LOAD';

--===========================================================database_3.0.14_to_3.1.sql==================================================================================================
-- JULIEN

ALTER TABLE rrd_plugins ALTER COLUMN rrd_regex TYPE character varying(100);

-- NATHAN 

-- Création de la table esia_rdp pour la pmad

CREATE TABLE esia_rdp
(
  rdp_id serial NOT NULL,
  rdp_device_id  integer NOT NULL,
  rdp_software character varying(50),
  rdp_soft_id character varying(100),
  CONSTRAINT "rdp_primaryKey" PRIMARY KEY (rdp_id),
  CONSTRAINT rdp_foreignkey_device_id FOREIGN KEY (rdp_device_id)
      REFERENCES esia_device (device_id) MATCH SIMPLE
      ON UPDATE CASCADE ON DELETE CASCADE
);

ALTER TABLE esia_rdp OWNER TO esia;
ALTER TABLE esia_rdp ADD CONSTRAINT "Name_Logicel_Pmd" CHECK (rdp_software IN ('logmein','teamviewer','none'));

-- MODIFICATION TRADUCTION LANG WEB_PLUGIN

 UPDATE esia_web_plugin
  SET web_name ='WEBP_REPORT'
 WHERE web_name ='Rapport';

 UPDATE esia_web_plugin
  SET web_name ='WEBP_LOCATION'
 WHERE web_name ='Localisation';

--============================================================Maintenance.sql=============================================================================
INSERT INTO esia_errors(error_id, error_name, error_type)VALUES (DEFAULT,'default_maintenance','maintenance');
-- Table: esia_maintenance_planned

-- DROP TABLE esia_maintenance_planned;

CREATE TABLE esia_maintenance_planned
(
  planned_id bigserial NOT NULL,
  planned_type character varying(15),
  planned_start timestamp with time zone,
  planned_end timestamp with time zone,
  planned_during integer DEFAULT 0,
  planned_service_id integer,
  CONSTRAINT "planned_primaryKey" PRIMARY KEY (planned_id),
  CONSTRAINT "planned_foreignKey_service_id" FOREIGN KEY (planned_service_id)
      REFERENCES esia_services (service_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITH (
  OIDS=FALSE
);
ALTER TABLE esia_maintenance_planned
  OWNER TO esia;

-- Table: esia_maintenance_configuration

-- DROP TABLE esia_maintenance_configuration;

CREATE TABLE esia_maintenance_configuration
(
  maintenance_conf_id serial NOT NULL,
  maintenance_conf_type character varying,
  maintenance_conf_start_date timestamp without time zone,
  maintenance_conf_create timestamp without time zone DEFAULT now(),
  maintenance_conf_service_id integer,
  maintenance_conf_during interval,
  maintenance_conf_recurring interval,
  maintenance_conf_during_firsterror interval,
  CONSTRAINT "maintenance_conf_PrimaryKey" PRIMARY KEY (maintenance_conf_id),
  CONSTRAINT "maintenance_conf_ForeignKey_service_id" FOREIGN KEY (maintenance_conf_service_id)
      REFERENCES esia_services (service_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITH (
  OIDS=FALSE
);
ALTER TABLE esia_maintenance_configuration
  OWNER TO esia;
-- View: view_node_state

-- DROP VIEW view_node_state;

CREATE OR REPLACE VIEW view_node_state AS 
 SELECT t2.device_id,
    COALESCE(t2.warning, 0::bigint) AS warning,
    COALESCE(t2.critical, 0::bigint) AS critical,
    COALESCE(t2.unknown, 0::bigint) AS unknown,
    COALESCE(t2.ok, 0::bigint) AS ok,
    COALESCE(t2.maintenance, 0::bigint) AS maintenance
   FROM crosstab('SELECT device_id::integer as rowid,error_type::text as attribute,nbr::bigint
		FROM	(SELECT device_id,error_type, count (*) as nbr
			FROM (SELECT device_id, happen_id,error_type
					FROM esia_device
					JOIN view_actual_error ON view_actual_error.happen_device_id = device_id
					AND device_delete=FALSE
					) AS T1
			GROUP BY device_id,error_type
			UNION 
			SELECT service_device_id,''ok'',count(*) AS nbr
			FROM esia_services
			WHERE service_previous_state = 0 
				AND service_delete = false 
			GROUP BY service_device_id
		) AS T2
		ORDER BY 1,2'::text, 'SELECT * FROM (SELECT error_type FROM  esia_errors UNION SELECT ''ok'') AS T1 ORDER BY 1;'::text) t2(device_id integer, critical bigint, maintenance bigint,ok bigint, unknown bigint, warning bigint);

ALTER TABLE view_node_state
  OWNER TO esia;

--PUSH mail état UP
ALTER TABLE esia_service_pattern_included ADD COLUMN included_ok boolean;
INSERT INTO esia_privileges(
            privilege_id, privilege_name, privilege_site, privilege_description)
    VALUES (DEFAULT,'esia_maintenance',1,'Autorise l''accès à la maintenance des noeuds/service');

INSERT INTO esia_privilege_grantedto(
            grant_group_id, grant_privilege_id, grant_acces)
    VALUES ((SELECT group_id FROM esia_groups WHERE group_name='root'), (SELECT privilege_id FROM esia_privileges WHERE privilege_name='esia_maintenance'), 1);
