--LICENSE
INSERT INTO public.esia_configuration(config_key, config_value, config_description, config_type, config_visibility)
VALUES ('LICENCE',NULL,NULL,'text',FALSE);

INSERT INTO public.esia_configuration(config_key, config_value,config_type, config_visibility)
VALUES ('LICENCE_RETEST',0,'text',false);

--REPORT
INSERT INTO public.report_block(
            block_id, block_name, block_controller, block_default_parameter)
    VALUES (DEFAULT,'REPORT_CONNECTIVITY','connectivity.php','{"title":{"text":"Disponibilité","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la description de la connectivité d''un groupe de noeud","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"warningThreshold":"95","criticalThreshold":"90","forme":"graph","type":"noeud","groupid":0,"calcunknown":"none","calcwarning":"on","calccritical":"on","form":"graphCol"}');

INSERT INTO public.report_block(
            block_id, block_name, block_controller, block_default_parameter)
    VALUES (DEFAULT,'REPORT_STORAGE','storage.php','{"title":{"text":"Espace de stockage","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la description de l''utilisation de l''espace de stockage","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"warningThreshold":"80","criticalThreshold":"70","forme":"graph","type":"noeud","groupid":0,"form":"gauge","criticalThreshold":"90","warningThreshold":"80"}');

INSERT INTO public.report_block(
            block_id, block_name, block_controller, block_default_parameter)
    VALUES (DEFAULT,'HARDWARE_INCIDENT','hardware_incident.php','{"title":{"text":"Incidents matériels","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la description du bloc incident","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"warningThreshold":"80","criticalThreshold":"70","forme":"graph","type":"noeud","groupid":0,"form":null,"calcunknown":"none","calcwarning":"on","calccritical":"on","tag":"RAID,HEALTH,DISK"}');

INSERT INTO report_block(block_name, block_controller, block_default_parameter)
SELECT 'REPORT_VALUE_SERVICE_NODE', 'value_service.php', '{"title":{"text":"Valeur de services","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la valeur des services","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"noeud","nodeid":[]}'
WHERE NOT EXISTS ( SELECT block_id FROM report_block WHERE block_name = 'REPORT_VALUE_SERVICE_NODE');

INSERT INTO report_block(block_name, block_controller, block_default_parameter)
SELECT 'REPORT_VALUE_SERVICE_SERVICE', 'value_service.php', '{"title":{"text":"Valeur de services","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la valeur des services","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"service","serviceid":[],"nodeid":[]}'
WHERE NOT EXISTS ( SELECT block_id FROM report_block WHERE block_name = 'REPORT_VALUE_SERVICE_SERVICE');

INSERT INTO report_block(block_name, block_controller, block_default_parameter)
SELECT 'REPORT_VALUE_SERVICE_GROUP_NODE', 'value_service.php','{"title":{"text":"Valeur de services","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la valeur des services","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"groupenoeud","serviceid":[],"groupnodeid":[]}'
WHERE NOT EXISTS ( SELECT block_id FROM report_block WHERE block_name = 'REPORT_VALUE_SERVICE_GROUP_NODE');

INSERT INTO report_block(block_name, block_controller, block_default_parameter)
SELECT 'REPORT_VALUE_PLUGIN_GROUP_NODE', 'value_service.php','{"title":{"text":"Valeur de services","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici la valeur des services","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"},"type":"groupenoeudplugin","serviceid":[],"groupnodeid":[]}'
WHERE NOT EXISTS ( SELECT block_id FROM report_block WHERE block_name = 'REPORT_VALUE_PLUGIN_GROUP_NODE');


UPDATE esia_web_plugin SET web_activate=false where web_name='WEBP_LOCATION';

